Name:           python-basx-bread
Version:        0.8.16
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Engine to create database applications based on Django and the IBM Carbon Design System

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/basxsoftwareassociation/bread
Source:         %{pypi_source basx_bread}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'basx-bread' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-basx-bread
Summary:        %{summary}

%description -n python3-basx-bread %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-basx-bread all,document-templates,pdf,testing


%prep
%autosetup -p1 -n basx_bread-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,document-templates,pdf,testing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-basx-bread -f %{pyproject_files}


%changelog
%autochangelog